session-attachments
Operations of the Interactive Session API. Paths are relative to your deployment's API host.
GET /api/agent-session-api/sessions/{id}/skills
List skills attached to this session
Authentication: bearer token (Authorization: Bearer <token>)
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string | yes | Session id |
| Status | Description | Body |
|---|---|---|
| 200 | application/json AttachedSkillDtoDataArrayEnvelope |
POST /api/agent-session-api/sessions/{id}/skills
Attach a skill to this session at runtime
Authentication: bearer token (Authorization: Bearer <token>)
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string | yes | Session id |
Request body: application/json AttachSkillDto
| Status | Description | Body |
|---|---|---|
| 202 | application/json AttachedSkillDtoDataEnvelope |
DELETE /api/agent-session-api/sessions/{id}/skills/{skillSlug}
Detach a skill from this session
Authentication: bearer token (Authorization: Bearer <token>)
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string | yes | Session id |
skillSlug | path | string | yes | Skill slug |
| Status | Description | Body |
|---|---|---|
| 202 | application/json AttachedSkillDtoDataEnvelope |